Bug 1294862 - Review Request: python3-nose - Discovery-based unittest extension for Python 3
Review Request: python3-nose - Discovery-based unittest extension for Python 3
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
Depends On: 1294704 1294860
Blocks: 1297514 1301291
  Show dependency treegraph
Reported: 2015-12-30 13:09 EST by Orion Poplawski
Modified: 2016-02-20 17:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-20 17:57:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-30 13:09:58 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-nose.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-nose-1.3.7-1.el7.src.rpm
nose extends the test loading and running features of unittest, making
it easier to write, find and run tests.

By default, nose will run tests in files or directories under the
current working directory whose names include "test" or "Test" at a
word boundary (like "test_this" or "functional_test" or "TestClass"
but not "libtest"). Test output is similar to that of unittest, but
also includes captured stdout output from failing tests, for easy
print-style debugging.

These features, and many more, are customizable through the use of
plugins. Plugins included with nose provide support for doctest, code
coverage and profiling, flexible attribute-based test selection,
output capture and more.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-12-30 13:30:26 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 Denis Fateyev 2016-01-30 08:36:24 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 308 files have unknown license.
     Detailed output of licensecheck in
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/nose(python3-nose), /usr/lib/python3.4/site-
     packages/nose/sphinx/__pycache__(python3-nose), /usr/lib/python3.4
     /site-packages/nose/tools(python3-nose), /usr/lib/python3.4/site-
     packages/nose/sphinx(python3-nose), /usr/lib/python3.4/site-
     packages/nose/plugins/__pycache__(python3-nose), /usr/lib/python3.4
Note: not related to epel7

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: python3-nose-1.3.7-1.el7.centos.src.rpm
python3-nose.src: W: invalid-url URL: http://somethingaboutorange.com/mrl/projects/nose/ HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
Cannot parse rpmlint output:



Separate "python34-nose-1.3.7-1.el7.centos.noarch.rpm" checks:

python34-nose.noarch: E: description-line-too-long C This package installs the nose module and nosetests-3.4 program that can discover
python34-nose.noarch: W: invalid-url URL: http://somethingaboutorange.com/mrl/projects/nose/ HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

$ rpm -qp --requires python34-nose-1.3.7-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python34-setuptools
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/python3.4

$ rpm -qp --provides python34-nose-1.3.7-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python34-nose = 1.3.7-1.el7.centos

Source checksums
http://pypi.python.org/packages/source/n/nose/nose-1.3.7.tar.gz :
  CHECKSUM(SHA256) this package     : f1bffef9cbc82628f6e7d7b40d7e255aefaa1adb6a1b1d26c69a8b79e6208a98
  CHECKSUM(SHA256) upstream package : f1bffef9cbc82628f6e7d7b40d7e255aefaa1adb6a1b1d26c69a8b79e6208a98

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1294862
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby

1) Upstream URL is invalid, please fix it;
2) Please fix the long line in package description;
3) Some .rst from doc/ can be included into `%doc` since the package includes plugins, etc;
4) Please add coreutils to BR.
Comment 3 Orion Poplawski 2016-02-02 17:53:10 EST
* Tue Feb 2 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.7-2
- Fix URL
- Fix long line in description
- Include more documentation

No need to BR coreutils, that is expected in the buildroot.

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-nose.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-nose-1.3.7-2.el7.src.rpm
Comment 4 Denis Fateyev 2016-02-02 18:34:24 EST
(In reply to Orion Poplawski from comment #3)
> No need to BR coreutils, that is expected in the buildroot.
There is a tendency nowadays to add everything to BRs, since according the recent changes the exception list is gone. Although I'm not insisting in this case.
The package is APPROVED.
Comment 5 Orion Poplawski 2016-02-02 18:37:03 EST

It is important that your package list all necessary build dependencies using the BuildRequires?: tag. You may assume that enough of an environment exists for RPM to function and execute basic shell scripts, but you should not assume any other packages are present as RPM dependencies and anything brought into the buildroot by the build system may change over time. 

It's pretty clear that mv/cp/etc falls under that.
Comment 6 Denis Fateyev 2016-02-03 05:56:38 EST
The wording "you may assume that enough of an environment exists for RPM to function and execute basic shell scripts" is vague. Coreutils may be needed to execute some abstract shell scripts, or maybe not. The list of the packages which are always present in build environment would work better.
We're at 'perl-sig' just always include coreutils into BRs.
Comment 7 Gwyn Ciesla 2016-02-03 08:17:32 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-nose
Comment 8 Fedora Update System 2016-02-03 15:27:17 EST
python3-nose-1.3.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-05d0cc6652
Comment 9 Fedora Update System 2016-02-04 21:19:06 EST
python3-nose-1.3.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-05d0cc6652
Comment 10 Fedora Update System 2016-02-20 17:57:48 EST
python3-nose-1.3.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.